# Backend
Sección del programa que gestiona la parte logica del mismo

El Backend fue desarrollado usando el lenguaje python con el framework django.

El contenido base, se encuentra cargado bajo la rama ****master/backend*** y su desarrollo bajo la rama ***develop/backend*** de este repositorio git.

# Frontend
Sección del programa que muestra de forma visual, los datos entregados por el backend

El Frontend fue realizado usando el framework svelte js (ref: https://svelte.dev/).

El contenido base, se encuentra cargado bajo la rama ***master/frontend*** y su desarrollo bajo la rama ***develop/frontend*** de este repositorio git.

# Docker
Docker es una herramienta que permite crear un ambiente de trabajo/desarrollo con las utilidades y lenguajes requeridos (ref: https://www.docker.com/).

# Descarga del proyecto
Para descargar el proyecto, realice los siguientes pasos en una ***consola bash***.

~~~bash
mkdir <carpeta>/transporte
cd <carpeta>/transporte
git clone https://gitlab.com/m3f_usm/T_digital_Transporte_USM.git backend -b develop/backend
git clone https://gitlab.com/m3f_usm/T_digital_Transporte_USM.git frontend -b develop/frontend
~~~

## Descargue el ultimo respaldo de la base de datos
Los respaldos de la base de datos, se encuentran almacenados en gitlab del proyecto.

Su ruta es: Menu -> Plan -> Wiki -> Página Home

Deje el archivo de respaldo (.sql.gz) en la carpeta transporte/backend/docker/backups.
en caso que no exista la carpeta, cree esa carpeta.

## Ejecución del proyecto

backend
~~~bash
cd <carpeta>/transporte/backend/docker
docker compose up -d
~~~

Para confirme que se halla levantado los 2 servicios (proyecto y base de datos).
~~~bash
docker compose ps
~~~

Para revisar los registros de log de los servicios, ejecute (control+c para salir)
~~~bash
docker compose logs -f db
docker compose logs -f app
~~~

Si una vez que restaurado el respaldo de la base de datos, ésta no que ejecutandose, iniciela manualmente
~~~bash
docker compose start db
~~~

frontend
~~~bash
cd transporte/frontend/docker
docker compose up -d
~~~

## Visualización del proyecto.
El backend del proyecto, se levanta usando el puerto 4000

http://localhost:4000

En esta url, se encuentra una compilación del frontend, no es la ultima realizada.

El frontend del proyecto, se levanta usando el puerto 3000

http://localhost:3000

En esta url, se encuentra el desarrollo de la parte visual del proyecto.

## Acceso al proyecto

En el ultimo respaldo, se dejo no vigentes a los usuarios. Cuando no existen usuarios vigentes, ud. puede ingresar con las credenciales

usuario: 0

contraseña: 0

Una vez ingresado, en el mantenedor de usuarios, puede cambiar su contraseña, correo y vigencia.

Una vez que existan usuarios vigentes, el acceso con usuario 0, no podrá ser utilizado.


## Detención del proyecto
~~~bash
cd <carpeta>/transporte/backend/docker
docker compose down
cd <carpeta>/transporte/frontend/docker
docker compose down
~~~
